% KERN toolbox
% Version 0.227		09-Aug-2011
% Copyright (c) 2011, Neil D. Lawrence
% 
, Neil D. Lawrence
% GGKERNEXPANDPARAM Create kernel structure from GG kernel's parameters.
% TRANSLATEKERNDISPLAY Display parameters of the TRANSLATE kernel.
% SDLFMJMEANCOMPUTE Jolt mean for the switching dynamical LFM model.
% SIMKERNEXTRACTPARAM Extract parameters from the SIM kernel structure.
% POLYARDKERNDIAGCOMPUTE Compute diagonal of POLYARD kernel.
% KERNGRADX Compute the gradient of the kernel wrt X.
% RBFINFWHITEXRBFINFWHITEKERNGRADIENT Compute a cross gradient between two
% MATERN52KERNDISPLAY Display parameters of the MATERN52 kernel.
% LFMGRADIENTSIGMAH3VP Gradient of the function h_i(z) with respect \sigma.
% RBFPERIODIC2KERNDISPLAY Display parameters of the RBFPERIODIC2 kernel.
% RBFARDJITKERNEXTRACTPARAM Extract parameters from the RBFARD2 kernel structure.
% KERNDISPLAY Display the parameters of the kernel.
% WHITEHKERNDIAGGRADIENT Compute the gradient of the WHITEH kernel's diagonal wrt parameters.
% ARDKERNEXTRACTPARAM Extract parameters from the ARD kernel structure.
% RBFXNONEKERNGRADIENT Compute a cross gradient between RBF and DUMMY
% DISIMXSIMKERNGRADIENT Compute gradient between the DISIM and SIM kernels.
% WHITEKERNGRADIENT Gradient of white-noise (WHITE) kernel's
% LFMAACOMPUTEUPSILONMATRIX Upsilon matrix acce. accel. with t1, t2 limits
% CMPNDKERNGRADX Gradient of CMPND kernel with respect to a point x.
% SDLFMXSDRBFKERNCOMPUTE Cross kernel between a SDLFM and a SDRBF kernels.
% EXPKERNDISPLAY Display parameters of the EXP kernel.
% SDLFMXSDLFMKERNGRADIENT Gradients of cross kernel between 2 SDLFM kernels.
% OUKERNDIAGCOMPUTE Compute diagonal of OU kernel (see ouKernCompute or
% GIBBSPERIODICKERNGRADIENT Gradient of GIBBSPERIODIC kernel's parameters.
% LFMEXPANDPARAM Expand the given parameters into a LFM structure.
% TRANSLATEKERNPARAMINIT TRANSLATE kernel parameter initialisation.
% GIBBSPERIODICKERNGRADX Gradient of GIBBSPERIODIC kernel with respect to a point x.
% WHITEKERNPARAMINIT WHITE kernel parameter initialisation.
% GGWHITEXGAUSSIANWHITEKERNCOMPUTE Compute a cross kernel between the GG white and GAUSSIAN white kernels.
% LINKERNDISPLAY Display parameters of the LIN kernel.
% LFMKERNGRADX Gradient of LFM kernel with respect to a point x.
% LFMGRADIENTSIGMAH3 Gradient of the function h_i(z) with respect \sigma.
% NDSIMKERNGRADIENT Gradient of SIM kernel's parameters.
% RBFHKERNEXPANDPARAM Create kernel structure from RBFH kernel's parameters.
% SDLFMAXSDLFMKERNGRADIENT Gradients of cross kernel between 2 SDLFM kernels.
% WIENERKERNGRADX Gradient of WIENER kernel with respect to a point x.
% LFMCOMPUTEUPSILONDIAGVECTOR 
% GAUSSIANKERNDISPLAY Display parameters of the GAUSSIAN kernel.
% HEATKERNPARAMINIT HEAT kernel parameter initialisation.
% EXPKERNGRADX Gradient of EXP kernel with respect to a point x.
% LMCKERNDISPLAY Display parameters of the LMC kernel.
% EXPKERNGRADIENT Gradient of EXP kernel's parameters.
% TRANSLATEKERNCOMPUTE Compute the TRANSLATE kernel given the parameters and X.
% OUKERNGRADX Gradient of OU kernel with respect to a point x (see
% NDDISIMKERNGRADIENT Gradient of NDDISIM kernel's parameters.
% LMCKERNPARAMINIT LMC kernel parameter initialisation.
% SDLFMXSDRBFKERNGRADIENTBLOCKIEJ 
% LMCKERNDIAGCOMPUTE Compute the diagonal of the LMC kernel.
% SDLFMVKERNGRADIENT Gradient of SDLFM kernel's parameters.
% WHITEFIXEDKERNDIAGCOMPUTE Compute diagonal of WHITEFIXED kernel.
% GGKERNGRADIENT Gradient of GG kernel's parameters.
% KERNEXPANDPARAM Expand parameters to form a kernel structure.
% HEATXHEATKERNCOMPUTE Compute a cross kernel between two HEAT kernels.
% KERNDIAGGRADX Compute the gradient of the  kernel wrt X.
% LFMKERNCOMPUTE Compute the LFM kernel given the parameters and X.
% KERNREADFROMFID Load from an FID written by the C++ implementation.
% WHITEKERNCOMPUTE Compute the white-noise (WHITE) kernel between
% SDLFMVXSDLFMKERNGRADIENTICBLOCK Partial derivatives initial conditions
% RBFKERNGRADX Gradient of RBF kernel with respect to input locations.
% OUKERNDIAGGRADX Gradient of OU kernel's diagonal with respect to t (see
% INDEXKERNCOMPUTE Compute the INDEX kernel given the parameters and X.
% WIENERKERNEXPANDPARAM Create kernel structure from WIENER kernel's parameters.
% KERNPRIORLOGPROB Compute penalty terms associated with kernel priors.
% LFMVXRBFKERNCOMPUTE Compute a cross kernel between the LFMV and RBF kernels.
% NONEKERNEXPANDPARAM Create kernel structure from NONE kernel's parameters.
% RBFARDJITKERNEXPANDPARAM Create kernel structure from RBFARDJIT kernel's parameters.
% LFMVPCOMPUTEUPSILONDIAGVECTOR Upsilon diag vector vel. pos. with t1, t2 limits
% SHEATKERNCOMPUTE Compute a cross kernel between two SHEAT kernels.
% MLPARDKERNGRADIENT Gradient of MLPARD kernel's parameters.
% SDLFMAXSDLFMAKERNGRADIENTBLOCKIGJ 
% NDDISIMXNDSIMKERNGRADIENT Compute a cross gradient between NDDISIM and NDSIM
% WHITEHKERNDIAGCOMPUTE Compute diagonal of WHITEH kernel.
% WHITEKERNEXPANDPARAM Create kernel structure from WHITE kernel's parameters.
% DISIMKERNPARAMINIT DISIM kernel parameter initialisation.
% MATERN52KERNDIAGGRADX Gradient of MATERN52 kernel's diagonal with respect to X.
% SIMKERNEXPANDPARAM Create kernel structure from SIM kernel's parameters.
% SQEXPKERNPARAMINIT SQEXP kernel parameter initialisation.
% WIENERKERNPARAMINIT WIENER kernel parameter initialisation.
% LFMAXLFMAKERNCOMPUTE Acceleration and acceleration LFM kernel  
% GETLOCALGRADALPHAOMEGA Gradients of parameters in alpha and omega
% DISIMXDISIMKERNGRADIENT Compute a cross gradient between two DISIM kernels.
% LINARDKERNCOMPUTE Compute the LINARD kernel given the parameters and X.
% SDLFMAXSDLFMVKERNCOMPUTE Cross kernel between a SDLFMA and a SDLFMV kernels.
% SHEATKERNGRADIENT Gradient of the parameters of a SHEAT kernel.
% GIBBSKERNDISPLAY Display parameters of the GIBBS kernel.
% RATQUADKERNEXPANDPARAM Create kernel structure from RATQUAD kernel's parameters.
% SQEXPKERNCOMPUTE Compute the SQEXP kernel given the parameters and X.
% RBFINFWHITEXWHITEKERNGRADIENT Compute gradient between the RBF-WHITE kernel
% GIBBSPERIODICKERNDIAGCOMPUTE Compute diagonal of GIBBSPERIODIC kernel.
% SDLFMXSDRBFKERNCOMPUTEBLOCK Cross kernel between SDLFM and SDRBF for i,j
% SIMKERNDIAGGRADX Gradient of SIM kernel's diagonal with respect to the
% CMPNDKERNDIAGGRADIENT Compute the gradient of the CMPND kernel's diagonal wrt parameters.
% LFMAXRBFKERNGRADIENT Compute gradient between the LFMA and RBF kernels.
% VELOTRANSKERNGRADIENT Gradient of VELOTRANS kernel's parameters.
% EXPKERNPARAMINIT EXP kernel parameter initialisation.
% GGXGAUSSIANKERNGRADIENT Compute gradient between the GG and GAUSSIAN kernels.
% POLYARDKERNGRADIENT Gradient of POLYARD kernel's parameters.
% RBFWHITEKERNDIAGGRADX Gradient of RBF-WHITE kernel's diagonal w.r.t. t.
% LFMCOMPUTEH3AP Helper function for computing part of the LFMAP kernel.
% INDEXKERNGRADIENT Gradient of INDEX kernel's parameters.
% DEXPKERNGRADX Gradient of the double exponential kernel with respect to a
% WHITEBLOCKKERNGRADX Gradient of WHITEBLOCK kernel wrt input locations.
% LFMSAMPLE Sample from LFM kernel
% KERNEXTRACTPARAM Extract parameters from kernel structure.
% LFMGRADIENTSIGMAUPSILON Gradient of the function \upsilon(z) with respect
% KERNCORRELATION Compute the correlation matrix kernel given the parameters and X.
% DIAGKERNPARAMINIT DIAG kernel parameter initialisation.
% LINKERNDIAGCOMPUTE Compute diagonal of LIN kernel.
% MATERN32KERNDIAGCOMPUTE Compute diagonal of MATERN32 kernel.
% SDLFMAXSDLFMAKERNCOMPUTEBLOCK Computes SDLFM kernel matrix for block i,j
% SDLFMXSDLFMVKERNGRADIENTICBLOCK Partial derivatives initial conditions
% HEATKERNEXPANDPARAM Create kernel structure from HEAT kernel's parameters.
% RBFPERIODICKERNDIAGGRADIENT Compute the gradient of the RBFPERIODIC kernel's diagonal wrt parameters.
% MATERN52KERNDIAGCOMPUTE Compute diagonal of MATERN52 kernel.
% GGWHITEXGGWHITEKERNGRADIENT Compute a cross gradient between two GG WHITE kernels.
% BIASKERNGRADX Gradient of BIAS kernel with respect to input locations.
% LFMAACOMPUTEUPSILONDIAGVECTOR Diag. of Upsilon matrix acce. accel. 
% SIMWHITEKERNPARAMINIT SIM-WHITE kernel parameter initialisation.
% RBFKERNEXPANDPARAM Create kernel structure from RBF kernel's parameters.
% MLPARDKERNDIAGGRADX Gradient of MLPARD kernel's diagonal with respect to X.
% GIBBSKERNPARAMINIT GIBBS kernel parameter initialisation.
% RBFARDJITKERNDIAGCOMPUTE Compute diagonal of RBFARDJIT kernel.
% SDLFMVXSDLFMKERNCOMPUTEBLOCK Computes SDLFM kernel matrix for block i,j
% RBFKERNPARAMINIT RBF kernel parameter initialisation.
% FILEKERNPARAMINIT FILE kernel parameter initialisation.
% LINARDKERNGRADX Gradient of LINARD kernel with respect to input locations.
% RBFKERNGRADIENT Gradient of RBF kernel's parameters.
% SDLFMKERNEXPANDPARAM Pass parameters from params to SDLFM kernel
% VELOTRANSKERNEXPANDPARAM Create kernel structure from VELOTRANS kernel's parameters.
% GAUSSIANWHITEKERNEXPANDPARAM Create kernel structure from gaussian white 
% GGWHITEKERNPARAMINIT GG WHITE kernel parameter initialisation.
% RATQUADKERNDIAGGRADIENT Compute the gradient of the RATQUAD kernel's diagonal wrt parameters.
% LFMAXLFMKERNCOMPUTE Acceleration and position LFM kernel  
% WHITEBLOCKKERNDIAGGRADIENT WHITEBLOCK kernel's diagonal gradient wrt par.
% LFMJXLFMKERNCOMPUTE Jolt and position LFM kernel  
% SIMWHITEKERNDIAGGRADX Gradient of SIM-WHITE kernel's diagonal w.r.t. t.
% RBFHKERNDISPLAY Display parameters of the RBFH kernel.
% LFMCOMPUTEH3AV Helper function for computing part of the LFMAV kernel.
% GAUSSIANKERNEXPANDPARAM Create kernel structure from gaussian kernel's parameters.
% MATERN52KERNEXTRACTPARAM Extract parameters from the MATERN52 kernel structure.
% LFMCOMPUTEH4 Helper function for computing part of the LFM kernel.
% RBFKERNDISPLAY Display parameters of the RBF kernel.
% GGWHITEXWHITEKERNCOMPUTE Compute a cross kernel between a GG white and
% RBFINFWHITEXWHITEKERNCOMPUTE Compute a cross kernel between the RBF-WHITE
% LINARD2KERNGRADX Gradient of LINARD2 kernel with respect to input locations.
% SQEXPKERNDIAGGRADX Gradient of SQEXP kernel's diagonal with respect to X.
% RBFARDJITKERNCOMPUTE Compute the RBFARD kernel given the parameters and X.
% TENSORKERNDISPLAY Display parameters of the TENSOR kernel.
% LFMWHITECOMPUTEH Helper function for computing part of the LFM-WHITE
% SIMWHITEXRBFWHITEKERNCOMPUTE Compute a cross kernel between a SIM-WHITE
% LFMKERNEXTRACTPARAM Extract parameters from the LFM kernel structure.
% LFMCREATE Create a LFM model.
% GGXGAUSSIANKERNCOMPUTE Compute a cross kernel between the GG and GAUSSIAN kernels.
% MULTIKERNFIXBLOCKS
% LINARDKERNEXPANDPARAM Create kernel structure from LINARD kernel's parameters.
% RBFHKERNPARAMINIT RBFH kernel parameter initialisation.
% DISIMXDISIMKERNCOMPUTE Compute a cross kernel between two DISIM kernels.
% NDDISIMKERNEXPANDPARAM Create kernel structure from NDDISIM kernel's parameters.
% LFMVKERNDISPLAY Display parameters of the LFMV kernel.
% GAUSSIANKERNEXTRACTPARAM Extract parameters from the gaussian kernel structure.
% BIASKERNDISPLAY Display parameters of the BIASkernel.
% RATQUADKERNCOMPUTE Compute the RATQUAD kernel given the parameters and X.
% KERNPARAMINIT Kernel parameter initialisation.
% TENSORKERNCOMPUTE Compute the TENSOR kernel given the parameters and X.
% DISIMXSIMKERNCOMPUTE Compute a cross kernel between DISIM and SIM kernels.
% LFMGRADIENTSIGMAH3AP Gradient of the function h_i(z) with respect \sigma.
% MATERN32KERNPARAMINIT MATERN32 kernel parameter initialisation.
% LFMGRADIENTSIGMAH Gradient of the function h_i(z) with respect \sigma.
% MATERN52KERNCOMPUTE Compute the MATERN52 kernel given the parameters and X.
% GIBBSPERIODICKERNPARAMINIT GIBBSPERIODIC kernel parameter initialisation.
% LFMGRADIENTSIGMAH3VV Gradient of the function h_i(z) with respect \sigma.
% GGKERNEXTRACTPARAM Extract parameters from the GG kernel structure.
% LFMXRBFKERNGRADIENT Compute gradient between the LFM and RBF kernels.
% SIMKERNCOMPUTE Compute the SIM kernel given the parameters and X.
% MLPKERNDIAGGRADX Gradient of MLP kernel's diagonal with respect to X.
% WHITEKERNDIAGGRADX Gradient of WHITE kernel's diagonal with respect to X.
% RBFARDKERNEXTRACTPARAM Extract parameters from the RBFARD kernel structure.
% CMPNDKERNDIAGCOMPUTE Compute diagonal of CMPND kernel.
% LFMVKERNPARAMINIT LFMV kernel parameter initialisation. 
% DEXPKERNEXTRACTPARAM Extract parameters from the double exponential's
% LFMAXLFMKERNGRADIENT Compute a cross gradient between a LFMA and a LFM.
% LMCKERNGRADIENT Gradient of LMC kernel's parameters.
% LFMLOGLIKELIHOOD Compute the log likelihood of a LFM model.
% SRBFHKERNCOMPUTE Compute an SRBFH kernel.
% SIMKERNGRADX Gradient of SIM kernel with respect to each time point in t1.
% INDEXARDKERNEXPANDPARAM Create kernel structure from INDEXARD kernel's parameters.
% EXPKERNDIAGCOMPUTE Compute diagonal of EXP kernel.
% WHITEKERNDIAGGRADIENT Compute the gradient of the WHITE kernel's diagonal wrt parameters.
% KERNSETWHITE Helper function to set the white noise in a kernel if it exists.
% MULTIKERNEXTRACTPARAM Extract parameters from the MULTI kernel structure.
% EXPKERNEXPANDPARAM Create kernel structure from EXP kernel's parameters.
% WHITEKERNDIAGCOMPUTE Compute diagonal of WHITE kernel.
% DIAGKERNGRADX Gradient of DIAG kernel with respect to a point x.
% GGWHITEKERNGRADIENT Gradient of GG WHITE kernel's parameters.
% GAUSSIANWHITEKERNPARAMINIT Gaussian white kernel parameter initialisation.
% DISIMKERNEXTRACTPARAM Extract parameters from the DISIM kernel structure.
% EXPKERNEXTRACTPARAM Extract parameters from the EXP kernel structure.
% SDLFMVKERNEXPANDPARAM Pass parameters from params to SDLFMV kernel
% RBFINFWHITEKERNGRADIENT Gradient of the parameters of the RBF-WHITE kernel
% INDEXARDKERNCOMPUTE Compute the INDEXARD kernel given the parameters and X.
% SDLFMVXSDLFMKERNGRADIENT Gradients of cross kernel between 2 SDLFM kernels.
% TENSORKERNEXTRACTPARAM Extract parameters from the TENSOR kernel structure.
% KERNFACTORS Extract factors associated with transformed
% MULTIKERNTEST Run some tests on the multiple output block kernel.
% LFMVVGRADIENTUPSILONMATRIX Gradient upsilon matrix vel. vel.
% MLPKERNPARAMINIT MLP kernel parameter initialisation.
% MATERN32KERNGRADX Gradient of MATERN32 kernel with respect to input locations.
% HEATKERNDIAGCOMPUTE Diagonal of a kernel matrix for a HEAT kernel.
% LFMWHITEXLFMWHITEKERNGRADIENT Compute a cross gradient between two
% HEATKERNDIAGGRADIENT Gradient of the HEAT kernel's diagonal wrt parameters.
% SDLFMVKERNDIAGCOMPUTEBLOCK Diagonal of a SDLFM kernel matrix for block i
% LFMGRADIENTH42VP Gradient of the function h_i(z) with respect to some of the
% RBFPERIODICKERNCOMPUTE Compute the RBFPERIODIC kernel given the parameters and X.
% POLYKERNCOMPUTE Compute the POLY kernel given the parameters and X.
% WHITEXWHITEKERNCOMPUTE Compute a cross kernel between two WHITE kernels.
% DEXPKERNCOMPUTE Compute the double exponential kernel,
% RBFWHITEKERNEXTRACTPARAM Extract parameters from the RBF-WHITE kernel
% SIMCOMPUTETEST Test the file simComputeH.
% SIMWHITEKERNDISPLAY Display parameters of the SIM-WHITE kernel.
% GAUSSIANWHITEKERNGRADX Gradient of gaussian white kernel with respect 
% GAUSSIANWHITEKERNDISPLAY Display parameters of the GAUSSIAN white kernel.
% WHITEHKERNPARAMINIT WHITEH kernel parameter initialisation.
% RBFARD2KERNDISPLAY Display parameters of the RBFARD2 kernel.
% SQEXPKERNDIAGCOMPUTE Compute diagonal of SQEXP kernel.
% GIBBSKERNGRADIENT Gradient of GIBBS kernel's parameters.
% LFMCOMPUTEH4JP Helper function for computing part of the LFMJP kernel.
% SIMWHITEXSIMWHITEKERNCOMPUTE Compute a cross kernel between two SIM-WHITE
% DISIMKERNDIAGGRADX Gradient of DISIM kernel's diagonal with respect to X.
% TENSORKERNGRADIENT Gradient of TENSOR kernel's parameters.
% LINARD2KERNPARAMINIT LINARD2 kernel parameter initialisation.
% RBFARDKERNDIAGCOMPUTE Compute diagonal of RBFARD kernel.
% LFMVXRBFVKERNCOMPUTE Compute a cross kernel between the LFMV and RBFV kernels.
% LFMJXLFMVKERNCOMPUTE Jolt and velocity LFM kernel  
% SDLFMVKERNCOMPUTE Compute the SDLFMV kernel given the parameters and X.
% MULTIKERNDISPLAY Display parameters of the MULTI kernel.
% WHITEKERNGRADX Gradient of WHITE kernel with respect to input locations.
% RBFPERIODICKERNGRADIENT Gradient of RBFPERIODIC kernel's parameters.
% TRANSLATEKERNEXTRACTPARAM Extract parameters from the TRANSLATE kernel structure.
% INDEXARDKERNDIAGCOMPUTE Compute diagonal of INDEXARD kernel.
% SDLFMVKERNDISPLAY Display parameters of the SDLFMV kernel.
% SIMWHITEKERNCOMPUTE Compute the SIM-WHITE kernel given the parameters, t1
% GGKERNDIAGCOMPUTE Compute diagonal of GG kernel.
% LFMVPGRADIENTUPSILONVECTOR Gradient upsilon vector vel. pos.
% WHITEBLOCKKERNDISPLAY Display parameters of the WHITEBLOCK kernel.
% GGKERNDISPLAY Display parameters of the GG kernel.
% LFMGRADIENTH42AP Gradient of the function h_i(z) with respect to some of the
% GGWHITEKERNEXPANDPARAM Create kernel structure from GG white kernel's parameters.
% NONEKERNEXTRACTPARAM Extract parameters from the NONE kernel structure.
% LINKERNGRADIENT Gradient of LIN kernel's parameters.
% RBFINFWHITEKERNEXTRACTPARAM Extract parameters from the RBF-WHITE kernel
% MLPKERNEXTRACTPARAM Extract parameters from the MLP kernel structure.
% DIAGKERNGRADIENT Gradient of DIAG kernel's parameters.
% POLYARDKERNEXTRACTPARAM Extract parameters from the POLYARD kernel structure.
% LFMLOGLIKEGRADIENTS Compute the gradients of the log likelihood of a LFM model.
% LFMVPCOMPUTEUPSILONVECTOR Upsilon vector for vel. pos. with t1 limit
% SDLFMXSDLFMKERNGRADIENTBLOCKILJ 
% RBFPERIODICKERNEXPANDPARAM Create kernel structure from RBFPERIODIC kernel's parameters.
% SIMWHITEXRBFINFWHITEKERNGRADIENT Compute a cross gradient between a
% GIBBSKERNDIAGGRADX Gradient of GIBBS kernel's diagonal with respect to X.
% SDLFMAXSDRBFKERNGRADIENTBLOCK Gradients of the parameters in block i,j
% DEXPKERNDIAGGRADX Gradient of the double exponential kernel's diagonal
% CMPNDKERNEXPANDPARAMTRANSFORMSETTINGS Create kernel structure from CMPND kernel's parameter transformation settings.
% SDLFMKERNEXTRACTPARAM Extract parameters from the SDLFM kernel structure.
% GAUSSIANKERNGRADX Gradient of gaussian kernel with respect to input locations.
% LINARDKERNDISPLAY Display parameters of the LINARD kernel.
% LFMAXLFMVKERNGRADIENT Compute a cross gradient between a LFMA and a LFMV.
% LFMVPGRADIENTUPSILONMATRIX Gradient upsilon matrix vel. pos.
% LFMVPGRADIENTSIGMAUPSILONMATRIX Gradient of upsilon matrix vp wrt sigma
% SIMCOMPUTEH Helper function for comptuing part of the SIM kernel.
% ARDKERNEXPANDPARAM Create kernel structure from ARD kernel's parameters.
% SIMWHITEXSIMWHITEKERNGRADIENT Compute a cross gradient between two
% RBFINFWHITEKERNEXPANDPARAM Create kernel structure from RBF-WHITE kernel's
% DEXPKERNPARAMINIT The double exponential kernel is usually called
% KERNTOOLBOXES Load in the relevant toolboxes for kern.
% LINKERNCOMPUTE Compute the LIN kernel given the parameters and X.
% LMCKERNCOMPUTE Compute the LMC kernel given the parameters and X.
% FILEKERNEXPANDPARAM Create kernel structure from FILE kernel's parameters.
% RBFWHITEKERNDIAGCOMPUTE Compute diagonal of RBF-WHITE kernel.
% MULTIKERNDIAGGRADX Gradient of MULTI kernel's diagonal with respect to X.
% GGXGGKERNGRADIENT Compute a cross gradient between two GG kernels.
% KERNPRIORGRADIENT Compute gradient terms associated with kernel priors.
% LFMWHITEXLFMWHITEKERNCOMPUTE Compute a cross kernel between two LFM-WHITE
% GIBBSKERNEXPANDPARAM Create kernel structure from GIBBS kernel's parameters.
% RBFKERNDIAGCOMPUTE Compute diagonal of RBF kernel.
% LFMAXLFMAKERNGRADIENT Compute a cross gradient between a LFMA and a LFMA.
% SDLFMXSDLFMKERNGRADIENTBLOCKIEJ 
% SIMWHITEKERNGRADX Gradient of SIM-WHITE kernel with respect to a point t.
% LFMVKERNDIAGCOMPUTE Compute diagonal of LFMV kernel.
% NONEKERNDIAGGRADX Gradient of NONE kernel's diagonal with respect to X.
% LFMCOMPUTEH3 Helper function for computing part of the LFM kernel.
% SIMXSIMCOMPUTEDIAGH Helper function for comptuing part of the SIM kernel.
% INDEXARDKERNPARAMINIT INDEXARD kernel parameter initialisation.
% RBFINFWHITEKERNDISPLAY Display parameters of the RBF-WHITE kernel (with
% MLPKERNDIAGCOMPUTE Compute diagonal of MLP kernel.
% NDSIMKERNEXPANDPARAMTRANSFORMSETTINGS Create kernel structure from SIM kernel's parameters' transform settings.
% WIENERKERNGRADIENT Gradient of WIENER kernel's parameters.
% LFMCOMPUTEH3JV Helper function for computing part of the LFMJV kernel.
% RBFARDJITKERNDISPLAY Display parameters of the RBFARDJIT kernel.
% RBFARD2KERNDIAGGRADX Gradient of RBFARD2 kernel's diagonal with respect to X.
% RBFPERIODIC2KERNGRADX Gradient of RBFPERIODIC2 kernel with respect to a point x.
% MULTIKERNGRADX Gradient of MULTI kernel with respect to a point x.
% LFMXLFMKERNCOMPUTE Compute a cross kernel between two LFM kernels.
% GGKERNCOMPUTE Compute the GG kernel given the parameters and X.
% NONEKERNPARAMINIT NONE kernel parameter initialisation.  
% WHITEHKERNEXTRACTPARAM Extract parameters from the WHITEH kernel structure.
% NONEKERNDISPLAY Display parameters of the NONE kernel.
% SPARSEKERNDISPLAY Display parameters of the SPARSE kernel.
% INDEXKERNEXPANDPARAM Create kernel structure from INDEX kernel's parameters.
% RBFWHITEKERNCOMPUTE Compute the RBF-WHITE kernel given the parameters, t1
% MULTIKERNDIAGCOMPUTE Compute diagonal of MULTI kernel.
% SDLFMXSDRBFKERNGRADIENTBLOCK Gradients of the parameters in block i,j
% SDLFMXSDLFMKERNCOMPUTEBLOCK Computes SDLFM kernel matrix for block i,j
% GIBBSKERNEXTRACTPARAM Extract parameters from the GIBBS kernel structure.
% RBFINFWHITEXRBFINFWHITEKERNCOMPUTE Compute a cross kernel between two
% WHITEFIXEDKERNEXTRACTPARAM Extract parameters from the WHITEFIXED kernel structure.
% LFMAPGRADIENTUPSILONMATRIX Gradient upsilon matrix accel. pos.
% ARDKERNDIAGGRADX Gradient of ARD kernel's diagonal with respect to X.
% POLYARDKERNPARAMINIT POLYARD kernel parameter initialisation.
% CMPNDKERNGRADIENT Gradient of CMPND kernel's parameters.
% RBFPERIODIC2KERNGRADIENT Gradient of RBFPERIODIC2 kernel's parameters.
% OUKERNGRADIENT Gradient of OU kernel's parameters (see ouKernCompute or
% TENSORKERNSETINDEX Set the indices in the tensor kernel.
% LFMGRADIENTSIGMAH3AV Gradient of the function h_i(z) with respect \sigma.
% SQEXPKERNGRADX Gradient of SQEXP kernel with respect to a point x.
% MATERN52KERNPARAMINIT MATERN52 kernel parameter initialisation.
% LFMWHITEKERNDISPLAY Display parameters of the LFM-WHITE kernel.
% MATERN32KERNDIAGGRADX Gradient of MATERN32 kernel's diagonal with respect to X.
% CMPNDKERNCOMPUTE Compute the CMPND kernel given the parameters and X.
% LMCKERNDIAGGRADX Gradient of LMC kernel's diagonal with respect to X.
% GAUSSIANKERNGRADIENT Gradient of gaussian kernel's parameters.
% OUKERNEXPANDPARAM Create kernel structure from OU kernel's parameters
% HEATXHEATKERNGRADIENT Gradient wrt parameters between two HEAT kernels.
% DIAGKERNEXTRACTPARAM Extract parameters from the DIAG kernel structure.
% SDLFMVXSDRBFKERNGRADIENTBLOCK Gradients of the parameters in block i,j
% EXPKERNCOMPUTE Compute the EXP kernel given the parameters and X.
% VELOTRANSKERNDIAGCOMPUTE Compute diagonal of VELOTRANS kernel.
% WIENERKERNDISPLAY Display parameters of the WIENER kernel.
% GIBBSKERNDIAGGRADIENT Compute the gradient of the GIBBS kernel's diagonal wrt parameters.
% DIAGKERNDIAGCOMPUTE Compute diagonal of DIAG kernel.
% LFMKERNGRADIENT Gradient of LFM kernel's parameters.
% KERNWRITEPARAMSTOFID Write the kernel parameters to a stream.
% WHITEXNONEKERNCOMPUTE Compute a cross kernel between WHITE and NONE kernels.
% MLPARDKERNPARAMINIT MLPARD kernel parameter initialisation.
% POLYKERNEXPANDPARAM Create kernel structure from POLY kernel's parameters.
% LMCKERNDIAGGRADIENT Gradient of the LMC kernel's diagonal wrt parameters.
% RBFWHITEXWHITEKERNGRADIENT Compute gradient between the RBF-WHITE and
% RBFARDJITKERNDIAGGRADX Gradient of RBFARDJIT kernel's diagonal with respect to X.
% WHITEFIXEDKERNDISPLAY Display parameters of the WHITEFIXED kernel.
% HEATKERNCOMPUTE Compute a kernel matrix for a HEAT kernel.
% BIASKERNDIAGCOMPUTE Compute diagonal of BIAS kernel.
% NONEKERNDIAGCOMPUTE Compute diagonal of NONE kernel.
% INDEXARDKERNDISPLAY Display parameters of the INDEXARD kernel.
% RBFARD2KERNDIAGGRADIENT Compute the gradient of the RBFARD2 kernel's diagonal wrt parameters.
% LFMKERNDIAGGRADX Gradient of LFM kernel's diagonal with respect to X.
% GIBBSKERNDIAGCOMPUTE Compute diagonal of GIBBS kernel.
% LFMAVGRADIENTSIGMAUPSILONMATRIX Gradient of upsilon matrix av wrt sigma
% KERNREADPARAMSFROMFID Read the kernel parameters from C++ file FID.
% LFMKERNDISPLAY Display parameters of the LFM kernel.
% SDLFMKERNMEANCOVPARTIAL Helper function for derivatives in SDLFM kernel
% PSKERNELOBJECTIVE Likelihood approximation for point set IVM.
% LFMGRADIENTUPSILON Gradient of the function \upsilon(z) with respect to
% WHITEFIXEDXWHITEFIXEDKERNGRADIENT Compute a cross gradient between two WHITEFIXED kernels.
% INDEXARDKERNGRADIENT Gradient of INDEXARD kernel's parameters.
% INDEXKERNDIAGCOMPUTE Compute diagonal of INDEX kernel.
% SDLFMAXSDRBFKERNGRADIENT Gradients cross kernel between a SDLFM and SDRBF
% SDLFMVXSDLFMVKERNGRADIENTICBLOCK Partial derivatives initial conditions
% SDLFMVXSDLFMVKERNGRADIENT Gradients of cross kernel between 2 SDLFM kernels.
% MATERN32KERNEXTRACTPARAM Extract parameters from the MATERN32 kernel structure.
% LFMWHITEKERNGRADX Gradient of LFM-WHITE kernel with respect to a point t.
% HEATXRBFHKERNGRADIENT Gradient wrt parameters between a HEAT and a RBFH.
% RBFPERIODICKERNGRADX Gradient of RBFPERIODIC kernel with respect to a point x.
% SDLFMKERNGRADIENTCONSTANT Gradients for constants for the SDLFM kernel
% SDLFMVXSDLFMVKERNGRADIENTBLOCK Gradients of the parameters in block i,j
% LFMWHITEXWHITEKERNCOMPUTE Compute a cross kernel between the LFM-WHITE
% POLYARDKERNDISPLAY Display parameters of the POLYARD kernel.
% LFMWHITEXWHITEKERNGRADIENT Compute gradient between the LFM-WHITE and
% KERNELCENTER Attempts to Center Kernel Matrix
% SQEXPKERNDIAGGRADIENT Compute the gradient of the SQEXP kernel's diagonal wrt parameters.
% WHITEHKERNEXPANDPARAM Create kernel structure from WHITEH kernel's parameters.
% LFMWHITEKERNDIAGCOMPUTE Compute diagonal of LFM-WHITE kernel.
% BIASKERNDIAGGRADX Gradient of BIAS kernel's diagonal with respect to X.
% GGKERNDIAGGRADIENT Compute gradient of the diagonal of GG kernel.
% SDLFMAXSDLFMKERNCOMPUTEBLOCK Computes SDLFM kernel matrix for block i,j
% OUKERNPARAMINIT Ornstein-Uhlenbeck (OU) kernel parameter initialisation.
% RBFPERIODICKERNPARAMINIT RBFPERIODIC kernel parameter initialisation.
% LFMAXLFMVKERNCOMPUTE Acceleration and velocity LFM kernel  
% RATQUADKERNDIAGCOMPUTE Compute diagonal of RATQUAD kernel.
% LFMCOMPUTEUPSILON Helper function for comptuing part of the LFM kernel.
% SDLFMVKERNDIAGCOMPUTE Compute diagonal of a SDLFMV kernel.
% SDLFMAXSDLFMAKERNGRADIENTBLOCK Gradients of the parameters in block i,j
% GIBBSPERIODICKERNDIAGGRADX Gradient of GIBBSPERIODIC kernel's diagonal with respect to X.
% KERNDIAGCOMPUTE Compute the kernel given the parameters and X.
% LFMAXRBFVKERNCOMPUTE Compute cross kernel between the LFMA and RBFV kernels.
% CMPNDKERNPARAMINIT CMPND kernel parameter initialisation.
% SIMXSIMKERNGRADIENT Compute a cross gradient between two SIM kernels.
% DISIMXRBFKERNGRADIENT Compute gradient between the DISIM and RBF kernels.
% WHITEBLOCKKERNEXPANDPARAM Fill WHITEBLOCK kernel structure with params.
% WHITEFIXEDKERNGRADIENT Gradient of WHITEFIXED kernel's parameters.
% LFMJXLFMAKERNCOMPUTE Jolt and acceleration LFM kernel  
% POLYKERNEXTRACTPARAM Extract parameters from the POLY kernel structure.
% SDLFMKERNGRADIENT Gradient of SDLFM kernel's parameters.
% WIENERKERNEXTRACTPARAM Extract parameters from the WIENER kernel structure.
% RATQUADKERNGRADX Gradient of RATQUAD kernel with respect to input locations.
% GIBBSKERNGRADX Gradient of GIBBS kernel with respect to input locations.
% LINARD2KERNDIAGCOMPUTE Compute diagonal of LINARD2 kernel.
% LFMGRADIENTSIGMAH4VP Gradient of the function h_i(z) with respect \sigma.
% COMPONENTKERNREADPARAMSFROMFID Read a component based kernel from a C++ file.
% FILEKERNGRADX Gradient of FILE kernel with respect to a point x.
% RBFHKERNCOMPUTE Compute the RBFH kernel given the parameters and X.
% WHITEFIXEDKERNPARAMINIT WHITEFIXED kernel parameter initialisation.
% DISIMKERNCOMPUTE Compute the DISIM kernel given the parameters and X.
% WHITEFIXEDKERNDIAGGRADX Gradient of WHITEFIXED kernel's diagonal with respect to X.
% GIBBSPERIODICKERNDIAGGRADIENT Compute the gradient of the GIBBSPERIODIC kernel's diagonal wrt parameters.
% LFMAKERNPARAMINIT LFMA kernel parameter initialisation. 
% LFMGRADIENTSIGMAH4VV Gradient of the function h_i(z) with respect \sigma.
% GIBBSPERIODICKERNDISPLAY Display parameters of the GIBBSPERIODIC kernel.
% LFMCOMPUTEH3VV Helper function for computing part of the LFMVXLFMV kernel.
% LINKERNEXTRACTPARAM Extract parameters from the LIN kernel structure.
% RBFPERIODICKERNDIAGCOMPUTE Compute diagonal of RBFPERIODIC kernel.
% LFMVVGRADIENTSIGMAUPSILONMATRIX Gradient of upsilon matrix vv wrt sigma
% WHITEKERNEXPANDPARAMTRANSFORMSETTINGS Create kernel structure from WHITE kernel's
% SDLFMAXSDLFMKERNCOMPUTE Cross kernel between a SDLFMA and a SDLFM kernels.
% LFMAPCOMPUTEUPSILONVECTOR Upsilon vector for acce. pos. with t1 limit
% DISIMKERNEXPANDPARAM Create kernel structure from DISIM kernel's parameters.
% LINARD2KERNEXTRACTPARAM Extract parameters from the LINARD2 kernel structure.
% SIMXSIMCOMPUTEDIAGHSTAT Helper function for computing part of the stationary version
% NDDISIMKERNEXPANDPARAMTRANSFORMSETTINGS Create kernel structure from DISIM kernel's parameters.
% LFMAPCOMPUTEUPSILONMATRIX Upsilon matrix acce. pos. with t1, t2 limits
% RBFINFWHITEKERNPARAMINIT The RBF-WHITE-INF kernel is a convolutional
% TRANSLATEKERNDIAGCOMPUTE Compute diagonal of TRANSLATE kernel.
% SDLFMAXSDLFMKERNGRADIENTBLOCK Gradients of the parameters in block i,j
% RBFARD2KERNDIAGCOMPUTE Compute diagonal of RBFARD2 kernel.
% SDRBFKERNCOMPUTE Compute the SDRBF kernel given the parameters and t1.
% LFMCOMPUTEH3JA Helper function for computing part of the LFMJA kernel.
% LFMWHITEKERNCOMPUTE Compute the LFM-WHITE kernel given the parameters, t1
% MULTIKERNCOMPUTEBLOCK
% MULTIKERNCACHEBLOCK
% SDLFMAXSDLFMKERNGRADIENTBLOCKIEJ 
% GGWHITEKERNEXTRACTPARAM Extract parameters from the GG WHITE kernel structure.
% POLYKERNDIAGCOMPUTE Compute diagonal of POLY kernel.
% POLYKERNPARAMINIT POLY kernel parameter initialisation.
% RBFHKERNEXTRACTPARAM Extract parameters from the RBFH kernel structure.
% INDEXKERNPARAMINIT INDEX kernel parameter initialisation.
% LFMAKERNCOMPUTE Compute the LFMA kernel given the parameters and X.
% HEATXRBFHKERNCOMPUTE Cross kernel between a HEAT and a RBF kernels.
% LFMAKERNEXPANDPARAM Create kernel structure from LFMA kernel's parameters.
% TENSORKERNDIAGCOMPUTE Compute diagonal of TENSOR kernel.
% POLYKERNGRADIENT Gradient of POLY kernel's parameters.
% WHITEBLOCKKERNGRADIENT Gradient of WHITEBLOCK kernel's parameters.
% SDLFMAXSDLFMVKERNCOMPUTEBLOCK Computes SDLFM kernel matrix for block i,j
% MATERN32KERNEXPANDPARAM Create kernel structure from MATERN32 kernel's parameters.
% LFMVKERNEXTRACTPARAM Extract parameters from the LFMV kernel structure.
% WHITEBLOCKKERNDIAGGRADX Gradient of WHITEBLOCK kernel's diagonal wrt X.
% WHITEFIXEDKERNDIAGGRADIENT Compute the gradient of the WHITEFIXED kernel's diagonal wrt parameters.
% RBFARD2KERNCOMPUTE Compute the RBFARD kernel given the parameters and X.
% LFMVXLFMVKERNGRADIENT Compute a cross gradient between a LFMV and a LFMV.
% DISIMCOMPUTEH Helper function for comptuing part of the DISIM kernel.
% MULTIKERNEXPANDPARAMTRANSFORMSETTINGS Create kernel structure from MULTI kernel's parameter transformation settings.
% FILEKERNREAD Read kernel values from file or cache.
% MATERN52KERNEXPANDPARAM Create kernel structure from MATERN52 kernel's parameters.
% RBFKERNCOMPUTE Compute the RBF kernel given the parameters and X.
% ARDKERNPARAMINIT ARD kernel parameter initialisation.
% WHITEKERNEXTRACTPARAM Extract parameters from the WHITE kernel structure.
% DISIMKERNGRADIENT Gradient of DISIM kernel's parameters.
% RBFPERIODIC2KERNEXPANDPARAM Create kernel structure from RBFPERIODIC2 kernel's parameters.
% WHITEHKERNGRADIENT Gradient of WHITEH kernel's parameters.
% RBFHKERNDIAGGRADIENT Gradient of the RBFH kernel's diagonal wrt parameters.
% MLPARDKERNGRADX Gradient of MLPARD kernel with respect to input locations.
% SDLFMXSDLFMVKERNGRADIENTBLOCK Gradients of the parameters in block i,j
% CMPNDKERNSETINDEX Set the indices in the compound kernel.
% NONEKERNCOMPUTE Compute the NONE kernel given the parameters and X.
% SDLFMXSDLFMVKERNGRADIENTBLOCKIGJ 
% WHITEKERNDISPLAY Display parameters of the WHITE kernel.
% LFMWHITECOMPUTEGRADTHETAH1 computes a portion of the LFM-WHITE kernel's gradient w.r.t. theta.
% WHITEBLOCKKERNEXTRACTPARAM Extract parameters from WHITEBLOCK kernel str.
% RBFWHITEKERNDISPLAY Display parameters of the RBF-WHITE kernel.
% SDLFMVXSDLFMKERNGRADIENTBLOCK Gradients of the parameters in block i,j
% LINARDKERNDIAGGRADX Gradient of LINARD kernel's diagonal with respect to X.
% GAUSSIANKERNPARAMINIT Gaussian kernel parameter initialisation.
% LFMJVCOMPUTEUPSILONMATRIX Upsilon matrix jolt. vel. with t1, t2 limits
% LFMXRBFVKERNCOMPUTE Compute a cross kernel between the LFM and RBFV kernels.
% FILEKERNDISPLAY Display parameters of the FILE kernel.
% LFMCOMPUTEH3VP Helper function for computing part of the LFMVXLFM kernel.
% TENSORKERNPARAMINIT TENSOR kernel parameter initialisation.
% LFMWHITECOMPUTEGRADTHETAH2 computes a portion of the LFM-WHITE kernel's gradient w.r.t. theta.
% SQEXPKERNEXPANDPARAM Create kernel structure from SQEXP kernel's parameters.
% LFMGRADIENTSIGMAH4AP Gradient of the function h_i(z) with respect \sigma.
% SDRBFKERNEXTRACTPARAM Extract parameters from the SDRBF kernel structure.
% LFMVXLFMKERNCOMPUTE Velocity and position LFM kernel  
% DISIMKERNDIAGCOMPUTE Compute diagonal of DISIM kernel.
% DIAGKERNCOMPUTE Compute the DIAG kernel given the parameters and X.
% WHITEFIXEDKERNGRADX Gradient of WHITEFIXED kernel with respect to a point x.
% NDSIMKERNDIAGCOMPUTE Compute diagonal of NDSIM kernel.
% LFMXRBFKERNCOMPUTE Compute a cross kernel between the LFM and RBF kernels.
% RBFWHITEXWHITEKERNCOMPUTE Compute a cross kernel between the RBF-WHITE
% LINARD2KERNDIAGGRADX Gradient of LINARD2 kernel's diagonal with respect to X.
% LFMCOMPUTEH4JV Helper function for computing part of the LFMJV kernel.
% LFMCOMPUTEH Helper function for computing part of the LFM kernel.
% WHITEHKERNCOMPUTE Compute the WHITEH kernel given the parameters and X.
% GAUSSIANWHITEKERNCOMPUTE Compute the covariance of the output samples 
% HEATKERNGRADIENT Gradient of HEAT kernel's parameters.
% BIASKERNCOMPUTE Compute the BIAS kernel given the parameters and X.
% MATERN32KERNDIAGGRADIENT Compute the gradient of the MATERN32 kernel's diagonal wrt parameters.
% SIMXRBFKERNGRADIENT Compute gradient between the SIM and RBF kernels.
% RBFPERIODICKERNEXTRACTPARAM Extract parameters from the RBFPERIODIC kernel structure.
% LFMGRADIENTSIGMAH4 Gradient of the function h_i(z) with respect \sigma.
% NDDISIMKERNEXTRACTPARAM Extract parameters from the NDDISIM kernel structure.
% GGWHITEKERNDIAGCOMPUTE Compute diagonal of GG WHITE kernel.
% MLPKERNGRADIENT Gradient of MLP kernel's parameters.
% RBFARDKERNCOMPUTE Compute the RBFARD kernel given the parameters and X.
% KERNCOMPUTE Compute the kernel given the parameters and X.
% DISIMCOMPUTEHPRIME Helper function for comptuing part of the DISIM kernel.
% RBFARDKERNGRADIENT Gradient of RBFARD kernel's parameters.
% LFMVVCOMPUTEUPSILONDIAGVECTOR Upsilon vector vel. vel. with t1 = t2
% WHITEFIXEDKERNCOMPUTE Compute the WHITEFIXED kernel given the parameters and X.
% DIAGKERNEXPANDPARAM Create kernel structure from DIAG kernel's parameters.
% LMCKERNEXPANDPARAM Expands parameters into a LMC kernel structure.
% GGWHITEKERNCOMPUTE Compute the GG white kernel given the parameters and X.
% LINARD2KERNEXPANDPARAM Create kernel structure from LINARD2 kernel's parameters.
% RBFARDKERNDIAGGRADX Gradient of RBFARD kernel's diagonal with respect to X.
% VELOTRANSKERNPARAMINIT VELOTRANS kernel parameter initialisation.
% LFMAKERNDIAGCOMPUTE Compute diagonal of LFMAXLFMA kernel.
% LFMAPGRADIENTSIGMAUPSILONMATRIX Gradient of upsilon matrix ap wrt sigma
% HEATKERNDISPLAY Display parameters of the HEAT kernel.
% RBFPERIODICKERNDIAGGRADX Gradient of RBFPERIODIC kernel's diagonal with respect to X.
% RATQUADKERNGRADIENT Gradient of RATQUAD kernel's parameters.
% RATQUADKERNPARAMINIT RATQUAD kernel parameter initialisation.
% RBFINFWHITEKERNDIAGGRADX Gradient of RBF-WHITE kernel's (with integration
% LINARDKERNDIAGCOMPUTE Compute diagonal of LINARD kernel.
% SDLFMXSDLFMVKERNCOMPUTEBLOCK Computes SDLFM kernel matrix for block i,j
% SIMKERNDIAGGRADIENT Compute the gradient of the SIM kernel's diagonal wrt parameters.
% SDLFMVXSDRBFKERNCOMPUTEBLOCK Cross kernel between SDLFM and SDRBF for i,j
% RBFPERIODIC2KERNPARAMINIT RBFPERIODIC2 kernel parameter initialisation.
% LFMVPGRADIENTSIGMAUPSILONVECTOR Gradient of upsilon vector vp wrt sigma
% MLPARDKERNDISPLAY Display parameters of the MLPARD kernel.
% LFMAVCOMPUTEUPSILONMATRIX Upsilon matrix acce. vel. with t1, t2 limits
% MULTIKERNDIAGGRADIENTBLOCK
% GAUSSIANWHITEKERNDIAGGRADIENT Compute the gradient of the gaussian white 
% RBFARD2KERNEXTRACTPARAM Extract parameters from the RBFARD2 kernel structure.
% WIENERKERNDIAGGRADX Gradient of WIENER kernel's diagonal with respect to X.
% GAUSSIANKERNCOMPUTE Compute the Gaussian kernel given the parameters and X.
% MLPKERNEXPANDPARAM Create kernel structure from MLP kernel's parameters.
% VELOTRANSKERNCOMPUTE Compute the VELOTRANS kernel given the parameters and X.
% RBFPERIODIC2KERNDIAGGRADX Gradient of RBFPERIODIC2 kernel's diagonal with respect to X.
% KERNWRITETOFID Load from an FID written by the C++ implementation.
% OUKERNDISPLAY Display parameters of the OU kernel (see ouKernCompute or
% TRANSLATEKERNDIAGGRADX Gradient of TRANSLATE kernel's diagonal with respect to X.
% DEXPKERNDISPLAY Display parameters of the double exponential kernel.
% DEXPKERNDIAGCOMPUTE Compute diagonal of the double exponential kernel.
% SDLFMXSDLFMKERNCOMPUTE Compute a cross kernel between two SDLFM kernels.
% RBFHKERNGRADIENT Gradient of RBFH kernel's parameters.
% VELOTRANSKERNDIAGGRADX Gradient of VELOTRANS kernel's diagonal with respect to X.
% SDLFMAXSDLFMKERNGRADIENTBLOCKILJ 
% LFMVKERNEXPANDPARAM Create kernel structure from LFMV kernel's parameters.
% LFMGRADIENTH42 Gradient of the function h_i(z) with respect to some of the
% ARDKERNCOMPUTE Compute the ARD kernel given the parameters and X.
% RBFARDKERNGRADX Gradient of RBFARD kernel with respect to input locations.
% WHITEBLOCKKERNPARAMINIT WHITE BLOCK kernel parameter initialisation.
% SIMKERNDIAGCOMPUTE Compute diagonal of SIM kernel.
% GGKERNPARAMINIT GG kernel parameter initialisation.
% FILEKERNCOMPUTE Compute the FILE kernel given the parameters and X.
% RBFARDJITKERNGRADIENT Gradient of RBFARD2 kernel's parameters.
% NDSIMKERNEXPANDPARAM Create kernel structure from NDSIM kernel's parameters.
% RBFARDKERNDISPLAY Display parameters of the RBFARD kernel.
% MATERN52KERNDIAGGRADIENT Compute the gradient of the MATERN52 kernel's diagonal wrt parameters.
% RBFARDJITKERNDIAGGRADIENT Compute the gradient of the RBFARD2 kernel's diagonal wrt parameters.
% SIMXSIMKERNCOMPUTE Compute a cross kernel between two SIM kernels.
% LFMCOMPUTEH4AA Helper function for computing part of the LFMAA kernel.
% ARDKERNDIAGGRADIENT Compute the gradient of the ARD kernel's diagonal wrt parameters.
% LFMVXLFMVKERNCOMPUTE Velocity and velocity LFM kernel  
% CMPNDKERNEXTRACTPARAM Extract parameters from the CMPND kernel structure.
% FILEKERNGRADIENT Gradient of FILE kernel's parameters.
% SHEATKERNDIAGCOMPUTE Compute a diagonal for the SHEAT kernel matrix.
% LFMAPGRADIENTSIGMAUPSILONVECTOR Gradient of upsilon vector ap wrt sigma
% LFMUPDATEKERNELS Updates the kernel representations in the LFM structure.
% FILEKERNEXTRACTPARAM Extract parameters from the FILE kernel structure.
% LINKERNPARAMINIT LIN kernel parameter initialisation.
% LFMWHITEKERNPARAMINIT LFM-WHITE kernel parameter initialisation.
% DEXPKERNEXPANDPARAM Create a kernel structure from the double exponential
% RBFPERIODIC2KERNCOMPUTE Compute the RBFPERIODIC2 kernel given the parameters and X.
% SIMXSIMKERNDIAGGRADIENT Gradient for the diagonal between two SIM kernels.
% SDLFMKERNDIAGCOMPUTE Compute diagonal of a SDLFM kernel.
% LFMCOMPUTEH4VV Helper function for computing part of the LFMVXLFMV kernel.
% RBFARDKERNDIAGGRADIENT Compute the gradient of the RBFARD kernel's diagonal wrt parameters.
% RBFHKERNDIAGGRADX Gradient of RBFH kernel's diagonal with respect to X.
% LFMVPCOMPUTEUPSILONMATRIX Upsilon matrix vel. pos. with t1, t2 limits
% HEATKERNEXTRACTPARAM Extract parameters from the HEAT kernel structure.
% LFMWHITEXRBFWHITEKERNCOMPUTE Compute a cross kernel between an LFM-WHITE
% LFMAAGRADIENTSIGMAUPSILONMATRIX Gradient of upsilon matrix aa wrt sigma
% WHITEFIXEDKERNEXPANDPARAM Create kernel structure from WHITEFIXED kernel's parameters.
% KERNGRADIENT Compute the gradient wrt the kernel's parameters.
% GGWHITEXWHITEKERNGRADIENT Compute gradient between the GGWHITE and WHITE kernels.
% PSKERNELGRADIENT Gradient on likelihood approximation for point set IVM.
% KERNEXPANDPARAMTRANSFORMSETTINGS Expand parameters' transform settings to form a kernel structure.
% SIMXRBFKERNCOMPUTE Compute a cross kernel between the SIM and RBF kernels.
% KERNPCA performs KPCA.
% COMPUTEKERNEL Compute the kernel given the parameters and X.
% EXPKERNDIAGGRADX Gradient of EXP kernel's diagonal with respect to X.
% RBFARD2KERNEXPANDPARAM Create kernel structure from RBFARD2 kernel's parameters.
% LFMAVGRADIENTUPSILONMATRIX Gradient upsilon matrix accel. vel.
% LFMAKERNDISPLAY Display parameters of the LFMA kernel.
% RBFPERIODIC2KERNDIAGCOMPUTE Compute diagonal of RBFPERIODIC2 kernel.
% SDLFMAMEANGRADIENT Gradients wrt parameters of the accel. mean SDLFM.
% LINARD2KERNDISPLAY Display parameters of the LINARD2 kernel.
% LINKERNDIAGGRADX Gradient of LIN kernel's diagonal with respect to X.
% LFMGRADIENTH41 Gradient of the function h_i(z) with respect to some of the
% SDLFMAXSDLFMVKERNGRADIENT Gradients of cross kernel between 2 SDLFM kernels.
% RBFWHITEKERNPARAMINIT RBF-WHITE kernel parameter initialisation. The RBF-
% LFMCOMPUTEH3JP Helper function for computing part of the LFMJP kernel.
% RBFWHITEXRBFWHITEKERNCOMPUTE Compute a cross kernel between two RBF-WHITE
% GIBBSKERNSETLENGTHSCALEFUNC Set the length scale function of the GIBBS kernel.
% WHITEHKERNDIAGGRADX Gradient of WHITEH kernel's diagonal with respect to X.
% COMPONENTKERNWRITEPARAMSTOFID Write a component based kernel to a stream.
% DEXPKERNGRADIENT Gradient of the double exponential kernel's parameters.
% SDLFMVXSDRBFKERNGRADIENT Gradients cross kernel between a SDLFM and SDRBF
% LINARD2KERNGRADIENT Gradient of LINARD2 kernel's parameters.
% MLPARDKERNCOMPUTE Compute the MLPARD kernel given the parameters and X.
% MULTIKERNGRADIENTBLOCKX
% BIASKERNEXTRACTPARAM Extract parameters from the BIAS kernel structure.
% LINKERNGRADX Gradient of LIN kernel with respect to input locations.
% SIMCOMPUTEHSTAT Helper function for computing part of the stationary version
% GAUSSIANKERNDIAGGRADIENT Compute the gradient of the gaussian kernel's diagonal wrt parameters.
% LFMWHITEKERNEXPANDPARAM Create kernel structure from LFM-WHITE kernel's
% RBFINFWHITEKERNDIAGCOMPUTE Compute diagonal of RBF-WHITE kernel (with
% MLPARDKERNEXTRACTPARAM Extract parameters from the MLPARD kernel structure.
% MULTIKERNEXPANDPARAM Create kernel structure from MULTI kernel's parameters.
% CMPNDKERNDIAGGRADX Gradient of CMPND kernel's diagonal with respect to X.
% LFMKERNDIAGCOMPUTE Compute diagonal of LFM kernel.
% RATQUADKERNEXTRACTPARAM Extract parameters from the RATQUAD kernel structure.
% DISIMKERNDIAGGRADIENT Compute the gradient of the DISIM kernel's diagonal wrt parameters.
% SDLFMKERNPARAMINIT SDLFM kernel initialization
% ARDKERNDIAGCOMPUTE Compute diagonal of ARD kernel.
% SDLFMVXSDLFMVKERNCOMPUTE Compute a cross kernel between two SDLFMV kernels.
% LFMWHITECOMPUTEPSI Helper function for comptuing part of the LFM-WHITE
% LFMJPCOMPUTEUPSILONVECTOR Upsilon vector jolt. pos. with t1, t2 limits
% SDLFMVKERNEXTRACTPARAM Extract parameters from the SDLFMV kernel structure.
% GAUSSIANWHITEKERNDIAGCOMPUTE Compute diagonal of gaussian white kernel.
% GGWHITEKERNDISPLAY Display parameters of the GG WHITE kernel.
% TENSORKERNSLASH Tensor kernel created by removing ith component.
% LFMJXRBFKERNCOMPUTE Compute cross kernel between the LFMJ and RBF kernels.
% POLYARDKERNGRADX Gradient of POLYARD kernel with respect to input locations.
% INDEXKERNDISPLAY Display parameters of the INDEX kernel.
% SIMWHITEXWHITEKERNGRADIENT Compute gradient between the SIM-WHITE and WHITE kernels.
% LFMKERNEXPANDPARAM Create kernel structure from LFM kernel's parameters.
% WHITEXNONEKERNGRADIENT Compute a cross gradient between WHITE and DUMMY kernels.
% LMCKERNEXTRACTPARAM Extract parameters from the LMC kernel struc.
% RBFWHITEKERNGRADIENT Gradient of RBF-WHITE kernel's parameters.
% LFMAXRBFKERNCOMPUTE Compute cross kernel between the LFMA and RBF kernels.
% SHEATKERNDIAGGRADIENT Gradient of the parameters of diagonal of a SHEAT kernel.
% SDLFMXSDLFMKERNGRADIENTIC Computes partial derivative for init. const.
% KERNGETVARIANCE Get the signal associated with a the kernel.
% TRANSLATEKERNGRADX Gradient of TRANSLATE kernel with respect to a point x.
% SDRBFKERNDISPLAY Display parameters of the SDRBF kernel.
% SDLFMKERNDISPLAY Display parameters of the SDLFM kernel.
% GGWHITEXGGWHITEKERNCOMPUTE Compute a cross kernel between two GG white kernels.
% SDLFMXSDLFMKERNGRADIENTICBLOCK Partial derivatives initial conditions
% GAUSSIANKERNDIAGCOMPUTE Compute diagonal of gaussian kernel.
% SDLFMVXSDLFMKERNCOMPUTE Cross kernel between a SDLFMV and a SDLFM kernels.
% SDLFMKERNCOMPUTECONSTANT Compute constants for the SDLFM kernel
% LFMKERNPARAMINIT LFM kernel parameter initialisation. The latent force
% CMPNDKERNEXPANDPARAM Create kernel structure from CMPND kernel's parameters.
% MATERN32KERNGRADIENT Gradient of MATERN32 kernel's parameters.
% LINARDKERNEXTRACTPARAM Extract parameters from the LINARD kernel structure.
% RBFARDJITKERNGRADX Gradient of RBFARDJIT kernel with respect to input locations.
% BIASKERNDIAGGRADIENT Compute the gradient of the BIAS kernel's diagonal wrt parameters.
% SIMKERNDISPLAY Display parameters of the SIM kernel.
% LMCKERNGRADX Gradient of LMC kernel with respect to input locations.
% GGXGAUSSIANKERNGRADX Compute gradient between the GG and GAUSSIAN
% MATERN52KERNGRADX Gradient of MATERN52 kernel with respect to input locations.
% SDLFMAXSDLFMVKERNGRADIENTBLOCK Gradients of the parameters in block i,j
% BIASKERNGRADIENT Gradient of BIAS kernel's parameters.
% WHITEBLOCKKERNDIAGCOMPUTE Compute diagonal of WHITEBLOCK kernel.
% MULTIKERNGRADIENT Gradient of MULTI kernel's parameters.
% SDLFMKERNDIAGCOMPUTEBLOCK Diagonal of a SDLFM kernel matrix for block i
% RBFINFWHITEKERNGRADX Gradient of RBF-WHITE kernel (with integration limits
% POLYKERNGRADX Gradient of POLY kernel with respect to input locations.
% GIBBSKERNCOMPUTE Compute the GIBBS kernel given the parameters and X.
% SIMKERNPARAMINIT SIM kernel parameter initialisation.
% LFMGRADIENTH32 Gradient of the function h_i(z) with respect to some of the
% DISIMXRBFKERNCOMPUTE Compute a cross kernel between the DISIM and RBF kernels.
% RBFKERNDIAGGRADIENT Compute the gradient of the RBF kernel's diagonal wrt parameters.
% KERNSETINDEX Set the indices on a compound kernel.
% RBFWHITEKERNEXPANDPARAM Create kernel structure from RBF-WHITE kernel's
% SIMSAMPLE Sample from SIM kernel
% MLPARDKERNDIAGCOMPUTE Compute diagonal of MLPARD kernel.
% RBFINFWHITEKERNCOMPUTE Compute the RBF-WHITE kernel (with integration limits
% GIBBSPERIODICKERNCOMPUTE Compute the GIBBSPERIODIC kernel given the parameters and X.
% BIASKERNPARAMINIT BIAS kernel parameter initialisation.
% KERNTEST Run some tests on the specified kernel.
% SDLFMAXSDRBFKERNCOMPUTEBLOCK Cross kernel between SDLFM and SDRBF for i,j
% WHITEHKERNGRADX Gradient of WHITEH kernel with respect to input locations.
% WHITEXRBFKERNGRADIENT Compute a cross gradient between WHITE and RBF kernels.
% SDLFMXSDRBFKERNGRADIENT Cross gradient between a SDLFM and a SDRBF kernels.
% SDLFMXSDLFMKERNGRADIENTBLOCK Gradients of the parameters in block i,j
% POLYARDKERNEXPANDPARAM Create kernel structure from POLYARD kernel's parameters.
% SIMWHITEKERNEXPANDPARAM Create kernel structure from SIM-WHITE kernel's
% TRANSLATEKERNGRADIENT Gradient of TRANSLATE kernel's parameters.
% LINARDKERNPARAMINIT LINARD kernel parameter initialisation.
% SIMWHITEKERNGRADIENT Gradient of SIM-WHITE kernel's parameters.
% LFMGRADIENTH31 Gradient of the function h_i(z) with respect to some of the
% POLYARDKERNDIAGGRADX Gradient of POLYARD kernel's diagonal with respect to X.
% SIMWHITEXWHITEKERNCOMPUTE Compute a cross kernel between the SIM-WHITE
% POLYARDKERNCOMPUTE Compute the POLYARD kernel given the parameters and X.
% TENSORKERNDIAGGRADX Gradient of TENSOR kernel's diagonal with respect to X.
% DIAGKERNDIAGGRADX Gradient of DIAG kernel's diagonal with respect to X.
% KERNDIAGGRADIENT Compute the gradient of the kernel's parameters for the diagonal.
% VELOTRANSKERNGRADX Gradient of VELOTRANS kernel with respect to a point x.
% LFMKERNDIAGGRADIENT Compute the gradient of the LFM kernel's diagonal wrt parameters.
% LFMGRADIENTH Gradient of the function h_i(z) with respect to some of the
% WHITEHKERNDISPLAY Display parameters of the WHITEH kernel.
% LFMVXLFMKERNGRADIENT Compute a cross gradient for a LFMVXLFM.
% RBFPERIODIC2KERNEXTRACTPARAM Extract parameters from the RBFPERIODIC2 kernel structure.
% RBFWHITEXRBFWHITEKERNGRADIENT Compute a cross gradient between two
% LFMWHITEXRBFWHITEKERNGRADIENT Compute a cross gradient between an LFM-WHITE
% LFMGRADIENTH41VP Gradient of the function h_i(z) with respect to some of the
% WHITEFIXEDXWHITEFIXEDKERNCOMPUTE Compute a cross kernel between two WHITEFIXED kernels.
% MATERN32KERNCOMPUTE Compute the MATERN32 kernel given the parameters and X.
% WHITEXWHITEKERNGRADX
% ARDKERNGRADX Gradient of ARD kernel with respect to a point x.
% OUKERNEXTRACTPARAM Extract parameters from the OU kernel structure (see
% KERNCREATE Initialise a kernel structure.
% LFMEXTRACTPARAM Extract the parameters of an LFM model.
% SDLFMKERNGRADIENTMEAN Gradients of the parameters of mean function cov.
% GAUSSIANWHITEKERNDIAGGRADX Gradient of gaussian white kernel's diagonal with respect to X.
% DISIMKERNDISPLAY Display parameters of the DISIM kernel.
% RBFARDKERNEXPANDPARAM Create kernel structure from RBFARD kernel's parameters.
% SDLFMVXSDRBFKERNCOMPUTE Cross kernel between a SDLFMV and a SDRBF kernels.
% POLYKERNDISPLAY Display parameters of the POLY kernel.
% TRANSLATEKERNEXPANDPARAM Create kernel structure from TRANSLATE kernel's parameters.
% LFMCOMPUTEH4VP Helper function for computing part of the LFMVXLFM kernel.
% DISIMSAMPLE Sample from SIM kernel
% LFMAPGRADIENTUPSILONVECTOR Gradient upsilon vector accel. pos.
% LFMGRADIENTSIGMAH4AV Gradient of the function h_i(z) with respect \sigma.
% LINARD2KERNCOMPUTE Compute the LINARD2 kernel given the parameters and X.
% SDLFMVXSDLFMVKERNCOMPUTEBLOCK Computes SDLFM kernel matrix for block i,j
% LFMVVCOMPUTEUPSILONMATRIX Upsilon matrix vel. vel. with t1, t2 limits
% LFMJPCOMPUTEUPSILONMATRIX Upsilon matrix jolt. pos. with t1, t2 limits
% GGWHITEXGAUSSIANWHITEKERNGRADX Compute gradient between the GG white and
% SIMWHITEKERNEXTRACTPARAM Extract parameters from the SIM-WHITE kernel
% GAUSSIANWHITEKERNEXTRACTPARAM Extract parameters from the gaussian white 
% LFMWHITEKERNEXTRACTPARAM Extract parameters from the LFM-WHITE kernel
% WIENERKERNCOMPUTE Compute the WIENER kernel given the parameters and X.
% SDRBFKERNPARAMINIT SDRBF kernel initialization
% LFMWHITEKERNDIAGGRADX Gradient of LFM-WHITE kernel's diagonal w.r.t. t.
% TENSORKERNEXPANDPARAM Create kernel structure from TENSOR kernel's parameters.
% MLPKERNCOMPUTE Compute the MLP kernel given the parameters and X.
% VELOTRANSKERNDISPLAY Display parameters of the VELOTRANS kernel.
% LFMCOMPUTEH4AV Helper function for computing part of the LFMAV kernel.
% NDDISIMXNDSIMKERNCOMPUTE Compute a cross kernel between DISIM and SIM kernels with no decay in the SIM part.
% RBFKERNEXTRACTPARAM Extract parameters from the RBF kernel structure.
% VELOTRANSKERNEXTRACTPARAM Extract parameters from the VELOTRANS kernel structure.
% WHITEXWHITEKERNGRADIENT Compute a cross gradient between two WHITE kernels.
% SQEXPKERNEXTRACTPARAM Extract parameters from the SQEXP kernel structure.
% MULTIKERNCOMPUTE Compute the MULTI kernel given the parameters and X.
% MULTIKERNDIAGGRADIENT Compute the gradient of the MULTI kernel's diagonal wrt parameters.
% LFMXLFMKERNGRADIENT Compute a cross gradient between two LFM kernels.
% LINARDKERNGRADIENT Gradient of LINARD kernel's parameters.
% MULTIKERNGRADIENTBLOCK
% GAUSSIANKERNDIAGGRADX Gradient of gaussian kernel's diagonal with respect to X.
% SRBFHKERNGRADIENT Gradient of the parameters of a SRBFH kernel.
% SDLFMAXSDRBFKERNCOMPUTE Cross kernel between a SDLFMA and a SDRBF kernels.
% LFMGRADIENTSIGMAH4AA Gradient of the function h_i(z) with respect \sigma.
% LFMAAGRADIENTUPSILONMATRIX Gradient upsilon matrix accel. accel.
% GIBBSPERIODICKERNEXPANDPARAM Create kernel structure from GIBBSPERIODIC kernel's parameters.
% GIBBSPERIODICKERNEXTRACTPARAM Extract parameters from the GIBBSPERIODIC kernel structure.
% NDSIMKERNCOMPUTE Compute the NDSIM kernel with no decay given the parameters and X.
% NONEKERNGRADIENT Gradient of NONE kernel's parameters.
% INDEXKERNEXTRACTPARAM Extract parameters from the INDEX kernel structure.
% RBFARDKERNPARAMINIT RBFARD kernel parameter initialisation.
% SDLFMXSDRBFKERNGRADIENTBLOCKIGJ 
% LFMJACOMPUTEUPSILONMATRIX Upsilon matrix jolt. accel. with t1, t2 limits
% RBFPERIODICKERNDISPLAY Display parameters of the RBFPERIODIC kernel.
% MLPKERNDISPLAY Display parameters of the MLP kernel.
% LFMVXRBFKERNGRADIENT Compute gradient between the LFMV and RBF kernels.
% LFMCOMPUTEH4JA Helper function for computing part of the LFMJA kernel.
% LFMGRADIENTSIGMAH3AA Gradient of the function h_i(z) with respect \sigma.
% MULTIKERNPARAMINIT MULTI kernel parameter initialisation.
% RATQUADKERNDISPLAY Display parameters of the RATQUAD kernel.
% MATERN52KERNGRADIENT Gradient of MATERN52 kernel's parameters.
% ARDKERNDISPLAY Display parameters of the ARD kernel.
% DISIMKERNGRADX Gradient of DISIM kernel with respect to a point x.
% SIMKERNGRADIENT Gradient of SIM kernel's parameters.
% MLPKERNGRADX Gradient of MLP kernel with respect to input locations.
% CMPNDKERNDISPLAY Display parameters of the CMPND kernel.
% GGWHITEXGAUSSIANWHITEKERNGRADIENT Compute gradient between the GG white
% LFMCOMPUTEH3AA Helper function for computing part of the LFMAA kernel.
% SDLFMAXSDLFMAKERNCOMPUTE Cross kernel between a SDLFMA and a SDLFMA kernels.
% LINKERNEXPANDPARAM Create kernel structure from LIN kernel's parameters.
% NDDISIMKERNPARAMINIT NDDISIM kernel parameter initialisation.
% NONEKERNGRADX Gradient of NONE kernel with respect to a point x.
% RBFWHITEKERNGRADX Gradient of RBF-WHITE kernel with respect to a point t.
% SDRBFKERNGRADIENT Gradient of SDRBF kernel's parameters.
% SIMWHITEXRBFINFWHITEKERNCOMPUTE Compute a cross kernel between a SIM-WHITE
% FILEKERNDIAGCOMPUTE Compute diagonal of FILE kernel.
% LFMCOMPUTETEST Test the file lfmComputeH.
% SDLFMXSDLFMKERNGRADIENTBLOCKIGJ 
% RBFARD2KERNPARAMINIT RBFARD2 kernel parameter initialisation.
% GAUSSIANWHITEKERNGRADIENT Gradient of gaussian white kernel's parameters.
% GGXGGKERNCOMPUTE Compute a cross kernel between two GG kernels.
% NDSIMKERNPARAMINIT SIM kernel parameter initialisation.
% SDLFMAXSDLFMAKERNGRADIENT Gradients of cross kernel between 2 SDLFM kernels.
% TENSORKERNGRADX Gradient of TENSOR kernel with respect to a point x.
% OUKERNCOMPUTE Compute the Ornstein-Uhlenbeck (OU) kernel arising from the
% SQEXPKERNGRADIENT Gradient of SQEXP kernel's parameters.
% RBFARD2KERNGRADX Gradient of RBFARD2 kernel with respect to input locations.
% RBFARDJITKERNPARAMINIT RBFARD2 kernel parameter initialisation.
% MLPARDKERNEXPANDPARAM Create kernel structure from MLPARD kernel's parameters.
% RATQUADKERNDIAGGRADX Gradient of RATQUAD kernel's diagonal with respect to X.
% LFMCOMPUTEH4AP Helper function for computing part of the LFMAP kernel.
% RBFXNONEKERNCOMPUTE Compute a cross kernel between RBF and NONE kernels.
% RBFARD2KERNGRADIENT Gradient of RBFARD2 kernel's parameters.
% DIAGKERNDISPLAY Display parameters of the DIAG kernel.
% SIMWHITEXRBFWHITEKERNGRADIENT Compute a cross gradient between a SIM-WHITE
% WHITEBLOCKKERNCOMPUTE Compute the WHITEBLOCK kernel. 
% LFMOPTIONS Creates a set of default options for a LFM model.
% POLYKERNDIAGGRADX Gradient of POLY kernel's diagonal with respect to X.
% SIMWHITEKERNDIAGCOMPUTE Compute the diagonal of the SIM-WHITE kernel.
% LFMWHITEKERNGRADIENT Gradient of LFM-WHITE kernel's parameters.
% SIMXSIMKERNDIAGCOMPUTE Diagonal of a cross kernel between two SIM kernels.
% LFMAKERNEXTRACTPARAM Extract parameters from the LFMA kernel structure.
% SQEXPKERNDISPLAY Display parameters of the SQEXP kernel.
% ARDKERNGRADIENT Gradient of ARD kernel's parameters.
% INDEXARDKERNEXTRACTPARAM Extract parameters from the INDEXARD kernel structure.
% WIENERKERNDIAGCOMPUTE Compute diagonal of WIENER kernel.
% SDLFMKERNCOMPUTE Compute the SDLFM kernel given the parameters and X.
% SDRBFKERNEXPANDPARAM Pass parameters from params to SDRBF kernel
% SDLFMVKERNPARAMINIT SDLFMV kernel initialization
% NDSIMKERNEXTRACTPARAM Extract parameters from the SIM kernel structure.
% MATERN32KERNDISPLAY Display parameters of the MATERN32 kernel.
% LFMTEST Test the gradients of the LFM model.
% RBFHKERNDIAGCOMPUTE Compute diagonal of RBFH kernel.
% BIASKERNEXPANDPARAM Create kernel structure from BIAS kernel's parameters.
% RBFKERNDIAGGRADX Gradient of RBF kernel's diagonal with respect to X.
